Bug 426778 - Hang on boot at "ata_piix" message - Dell Inspiron 530s
Hang on boot at "ata_piix" message - Dell Inspiron 530s
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 02:24 EST by Rick Richardson
Modified: 2009-01-09 00:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv of dell inspiron 530 with intel g33 (14.26 KB, text/plain)
2008-05-07 01:09 EDT, John W. Lockhart
no flags Details

  None (edit)
Description Rick Richardson 2007-12-26 02:24:27 EST
This is on a Dell Inspiron 530s, brand new.  SATA-0 and SATA-5 contain the
disks.

When I install fc8, it hangs on boot after "SCSI - ata_piix" message.
Let it go 15 minutes...  nothing!

If I put the disks on *SATA-4 and SATA-5*, I can install normally.  But
that means I open up the computer!

NOTE: Ubuntu 7.10 doesn't have this problem!!!!
Comment 1 Rick Richardson 2007-12-26 14:23:11 EST
Hang on boot "during install", e.g. 20 seconds in after DVD boot...
Comment 2 Chuck Ebbert 2008-01-02 19:23:03 EST
Can you try the respin?

http://spins.fedoraunity.org/spins

Comment 3 Rick Richardson 2008-01-02 23:00:11 EST
Sorry, jigdo?  No.  Bittorrent or bust.
Comment 4 Mauricio Zambrano 2008-01-10 09:07:08 EST
I tried the respin(Fedora-Unity-20071218-8-i386-DVD.iso) on a DELL 2950. The
issue is still there. Same problem.
Comment 5 Chuck Ebbert 2008-01-10 15:43:19 EST
Can you capture the boot messages from the installer? They should be on one of
the consoles.
Comment 6 Mauricio Zambrano 2008-01-11 08:35:28 EST
..........
going to rmmod usb-storage
inserted /tmp/tmp/bnx2.ko
inserted /tmp/mptbas.ko
inserted /tmp/mptscsih.ko
inserted /tmp/scsci_transport_sas.ko
inserted /tmp/mptsas.ko
inserted /tmp/libata.ko

then the computer hangs

Comment 7 John W. Lockhart 2008-04-14 14:18:11 EDT
I also have an Inspiron 530, with Intel G33/ICH9R chipset (Q6600 CPU).

Actually there's a lot of interesting info on one of the other consoles (Alt+F3
or F4, I forget which).

It appears that this problem has been fixed in F9 rawhide, because I had no
problems installing that from a LiveCD.

I worked around the problem with F8 by setting the disks to RAID mode in the
Dell BIOS -- that way, ata_piix isn't used.  (I actually got that tip from an
Ubuntu user who had the same problem -- so I'd guess that they fixed it
recently, too.)

However, I'd like to see the F9 fix backported to F8 -- whatever the fix was.

Comment 8 Rick Richardson 2008-04-14 19:11:51 EDT
Using the BIOS to fix a problem in F8 linux is wrong.  
Comment 9 John W. Lockhart 2008-04-14 21:50:12 EDT
Re comment 8: It sure beats using the machine with the OS it shipped with. :)

Is it worth setting up the box with netconsole to capture the behavior, or is
there a readily identified F9 fix that can be backported?
Comment 10 Chuck Ebbert 2008-04-18 13:49:14 EDT
It's hard to identify the exact fixes for ata_piix because it drives so many
variants of that chipset.
Comment 12 Stephen R. Saucier 2008-05-03 01:04:07 EDT
oh, and I'm experiencing this problem also on (what will soon become) Fedora 9.
Comment 13 Chuck Ebbert 2008-05-06 23:46:45 EDT
Can people reporting this problem post the output of 'lspci -nn'. 
Comment 14 John W. Lockhart 2008-05-07 01:09:32 EDT
Created attachment 304725 [details]
lspci -vv of dell inspiron 530 with intel g33

lspci -vv of dell inspiron 530 with intel g33 (model with intel q6600 cpu)

(This is running Fedora 8 x86_64, with the bios set to raid mode.)
Comment 15 John W. Lockhart 2008-05-07 01:10:52 EDT
lspci -nn output follows (same system as comment 14):

00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM
Controller [8086:29c0] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation 82G33/G31/P35/P31 Express PCI
Express Root Port [8086:29c1] (rev 02)
00:19.0 Ethernet controller [0200]: Intel Corporation 82562V-2 10/100 Network
Connection [8086:10c0] (rev 02)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #4 [8086:2937] (rev 02)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #5 [8086:2938] (rev 02)
00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #6 [8086:2939] (rev 02)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #2 [8086:293c] (rev 02)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller [8086:293e] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #1 [8086:2934] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #2 [8086:2935] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #3 [8086:2936] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #1 [8086:293a] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR (ICH9R) LPC Interface
Controller [8086:2916] (rev 02)
00:1f.2 RAID bus controller [0104]: Intel Corporation 82801 SATA RAID Controller
[8086:2822] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller
[8086:2930] (rev 02)
01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8600 GT
[10de:0402] (rev a1)
Comment 16 Rick Richardson 2008-05-07 01:19:30 EDT
$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM
Controller [8086:29c0] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation 82G33/G31/P35/P31 Express PCI
Express Root Port [8086:29c1] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express
Integrated Graphics Controller [8086:29c2] (rev 02)
00:19.0 Ethernet controller [0200]: Intel Corporation 82562V-2 10/100 Network
Connection [8086:10c0] (rev 02)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #4 [8086:2937] (rev 02)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #5 [8086:2938] (rev 02)
00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #6 [8086:2939] (rev 02)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #2 [8086:293c] (rev 02)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller [8086:293e] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #1 [8086:2934] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #2 [8086:2935] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #3 [8086:2936] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #1 [8086:293a] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR (ICH9R) LPC Interface
Controller [8086:2916] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4
port SATA IDE Controller [8086:2920] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller
[8086:2930] (rev 02)
00:1f.5 IDE interface [0101]: Intel Corporation 82801I (ICH9 Family) 2 port SATA
IDE Controller [8086:2926] (rev 02)
02:00.0 Communication controller [0780]: Conexant HSF 56k Data/Fax Modem [14f1:2f20]
Comment 17 Stephen R. Saucier 2008-05-08 19:50:01 EDT
$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM
Controller [8086:29c0] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express
Integrated Graphics Controller [8086:29c2] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82G33/G31 Express
Integrated Graphics Controller [8086:29c3] (rev 02)
00:19.0 Ethernet controller [0200]: Intel Corporation 82562V-2 10/100 Network
Connection [8086:10c0] (rev 02)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #4 [8086:2937] (rev 02)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #5 [8086:2938] (rev 02)
00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #6 [8086:2939] (rev 02)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #2 [8086:293c] (rev 02)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller [8086:293e] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #1 [8086:2934] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #2 [8086:2935] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI
Controller #3 [8086:2936] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
Controller #1 [8086:293a] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR (ICH9R) LPC Interface
Controller [8086:2916] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4
port SATA IDE Controller [8086:2920] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller
[8086:2930] (rev 02)
00:1f.5 IDE interface [0101]: Intel Corporation 82801I (ICH9 Family) 2 port SATA
IDE Controller [8086:2926] (rev 02)
01:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR2413 802.11bg
NIC [168c:001a] (rev 01)
Comment 18 Bug Zapper 2008-11-26 04:10:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Stephen R. Saucier 2008-12-02 09:49:59 EST
Unfortunately, I do not see how to modify the version for this bug, but it is still at least relevant to Fedora 9; I have not yet tried Fedora 10.
Comment 20 Bug Zapper 2009-01-09 00:37:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.